[data-theme='dark'] {
  --text-colour: white;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: #0f1023;
  --window-background: linear-gradient(to bottom right, #0f1023, #4b0224);
  --place-holder-colour: #909090;
  --border: #43444d;
  --service-highlight-bg: #e70068;
  --div-button-border: black;
}

[data-theme='light'] {
  --text-colour: #040034;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: white;
  --window-background: white;
  --place-holder-colour: #707070;
  --border: #bbbbbb;
  --service-highlight-bg: #040034;
  --div-button-border: transparent;
}

.search-compute-container {
  flex: 1 1;
  height: 100%;
  display: flex;
  flex-direction: row;
}

.search-form[data-maximised='F'] {
  display: none;
}

.search-form[data-maximised='T'] {
  flex: 0 0;
  display: flex;
  flex-direction: column;
  align-items: left;
  background-color: var(--search-form-bg);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  margin: 0px 10px 0px 10px;
  border-radius: 10px;
  align-self: flex-start;
  /*border: 1px solid black;*/
}

.form-title {
  color: var(--text-colour);
  font-weight: 800;
  margin: 0px 15px 0px 15px;
  padding: 0px 0px 0px 0px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex: 0 0 0px;
}

.form-text {
  color: var(--text-colour);
  font-family: 'Go';
  font-size: 10pt;
  font-weight: 400;
  margin: 0px 15px 0px 15px;
  padding: 0px 0px 0px 0px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex: 0 0 0px;
}

.site-listbox,
.service-types-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.site-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.service-types-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.hardware-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.hardware-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.middleware-listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-colour);
  color: var(--text-colour);
}

.middleware-listbox[data-placeholder-shown='T'] {
  color: var(--place-holder-colour);
}

.search-compute-filter-hardware,
.search-compute-filter-description,
.search-compute-filter-site,
.search-compute-filter-type,
.search-compute-filter-middleware,
.search-compute-filter-service-type,
.form-button-container,
.search-compute-filter-location {
  margin: 2px 15px 10px 15px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  flex: 0 0;
}

.search-compute-filter-hardware {
  border: 1px solid var(--text-colour);
  width: 279px;
}

/*.search-compute-interaction-services
		{
			flex: 0 0 10px;
		}*/

.search-compute-filter-description {
  flex: 0 0 34px;
  width: 279px;
}

.search-compute-filter-site {
  flex: 0 0 0px;
  width: 279px;
}

.search-compute-filter-service-type {
  flex: 0 0 0px;
  width: 279px;
}

.compute-input-field {
  width: 100%;
  height: 100%;
  background-color: transparent;
  color: var(--text-colour);
  border: 1px solid var(--text-colour);
  box-sizing: border-box;
  flex: 1 1;
}

.compute-input-uom {
  flex: 0 0 25px;
  text-align: center;
  color: var(--text-colour);
}

.search-compute-filter-hardware {
  flex: 0 0 78px;
  width: 279px;
}

.search-compute-filter-type {
  flex: 0 0;
  width: 279px;
}

.search-compute-filter-middleware {
  flex: 0 0;
  width: 279px;
}

.search-compute-filter-hardware-div {
  height: 100%;
  flex: 1 1;
  display: flex;
  flex-direction: column;
}

.search-compute-filter-hardware-div-cell {
  width: 100%;
  flex: 1 1;
  align-items: center;
  display: flex;
  flex-direction: row;
  color: var(--text-colour);
  margin-left: 5px;
}

.search-compute-filter-location {
  flex: 0 0 auto;
  width: 279px;
  display: flex;
  flex-direction: row;
  margin-top: 0px;
  margin-bottom: 0px;
}

.search-compute {
  flex: 1 1 0px;
  height: 100%;
  max-height: 100%;
  border-radius: 10px;
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  margin-right: 5px;
  display: flex;
  flex-direction: column;
  color: var(--text-colour);
}

.search-compute-scrollbox-container {
  height: 0px;
  flex: 1 1 auto;
}

.search-compute-scrollbox {
  width: 100%;
  height: 100%;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}

.search-compute-site[data-type='container'] {
  flex: 0 0 80pt;
  margin: 10px 5px 15px 5px;
  /*display: flex;
					flex-direction: row;
					align-items: top;*/
}

.search-compute-site[data-type='opacity'] {
  position: relative;
  width: 100%;
  height: 100%;
  opacity: 0.3;
  background-color: black;
}

.search-compute-site[data-type='flexbox'] {
  position: relative;
  /*flex: 0 0 80pt;*/
  display: flex;
  flex-direction: row;
  align-items: top;
  top: -101px;
}

.search-compute-site-icon {
  flex: 0 0 120px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: solid 2pt var(--border);
  margin: 0px 0px 0px 10px;
}

.search-compute-site-sitename {
  flex: 0 0;
  font-size: 13pt;
  display: flex;
  align-items: center;
  justify-content: center;
}

.search-compute-site-buttons {
  flex: 0 0 50px;
  display: flex;
  flex-direction: column;
  margin: 0px 0px 0px 0px;
  align-items: center;
}

.search-compute-site-button {
  margin: 0px 0px 5px 5px;
}

.search-compute-site-details {
  flex: 1 1;
  display: flex;
  height: 100%;
  flex-direction: row;
  align-items: left;
  margin: 0px 0px 10px 0px;
  /*border-top: solid 1pt var( --border );
						border-bottom: solid 1pt var( --border );*/
}

.search-compute-site-details-section {
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
  align-items: left;
  margin: 8px 30px 0px 0px;
}

.search-compute-services {
  flex: 0 0 auto;
  text-align: left;
  /*margin-left: 180px;*/
}

.search-compute-service {
  width: 350px;
  margin: 5px 5px 5px 5px;
  float: left;
  display: flex;
  flex-direction: column;
  color: var(--text-colour);
  border-color: var(--text-colour);
}

.search-compute-service:hover {
  /*border: solid 1pt var( --border );*/
  background-color: var(--service-highlight-bg);
  border-radius: 10px;
  color: white;
  border-color: white;
}

.search-compute-service-main {
  flex: 0 0 120px;
  display: flex;
  flex-direction: row;
  margin: 0px 0px 0px 0px;
  align-items: center;
}

.search-compute-service-icon {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0px 0px 0px 5px;
}

.search-compute-service-icon-empty {
  width: 120px;
  height: 80px;
  border: solid 1px var(--border);
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12pt;
}

.search-compute-service-buttons {
  flex: 0 0 42px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.search-compute-service-icon {
  margin: 4px 2px 4px 2px;
}

.search-compute-service-details {
  flex: 1 1;
  display: flex;
  flex-direction: column;
  margin: 0px 5px 0px 5px;
  height: 80px;
}

.search-compute-service-name {
  font-size: 12pt;
  align-items: center;
  text-align: left;
}

.search-compute-service-info {
  flex: 1 1;
  margin: 0px 0px 10px 0px;
}

.search-compute-service-info[data-info-displayed='N'] {
  display: none;
}

.search-compute-table {
  table-layout: fixed;
  width: 350px;
}

.search-compute-table-button-holder {
  padding: 1px 1px 1px 1px;
  background-color: var(--div-button-border);
  display: inline-block;
}

.search-compute-table-input-box {
  width: 100%;
  background-color: transparent;
  /*color: var( --text-colour );*/
  border: 1px solid; /* var( --text-colour );*/
  box-sizing: border-box;
  color: inherit;
  border-color: inherit;
}

.search-compute-table-input-box[data-disabled='T'] {
  color: var(--text-colour-disabled);
  border: 1px solid var(--text-colour-disabled);
}

.search-results-table-displayed {
  color: var(--text-colour);
}

.search-results-table-hidden {
  display: none;
}
